Bug 841252 - SELinux is preventing /usr/sbin/dovecot from search access on the directory /var/ftp.
SELinux is preventing /usr/sbin/dovecot from search access on the directory /...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: dovecot (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-18 09:54 EDT by Ralf Corsepius
Modified: 2013-08-01 01:03 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:02:58 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
sealert -l 7537287f-cc2a-4e16-adab-6bd034c3738a > sealert.txt 2>&1 (2.52 KB, text/plain)
2012-07-19 11:36 EDT, Ralf Corsepius
no flags Details

  None (edit)
Description Ralf Corsepius 2012-07-18 09:54:58 EDT
Description of problem:

SELinux is complaining about:
"SELinux is preventing /usr/sbin/dovecot from search access on the directory /var/ftp."

Version-Release number of selected component (if applicable):
selinux-policy-targeted-3.10.0-137.fc17.noarch
dovecot-2.1.8-1.fc17.x86_64

How reproducible:
This seem to happen upon dovecot upgrades/updates.
So far it has happened to me 2 times. Once upon installation of F17, and a second time, today, when yum update pulled-in a dovecot update.
  
Actual results:
c.f. subject

Expected results:
No alert.

Additional info:
It escapes my why dovecot tries to access /var/ftp ;)
Comment 1 Daniel Walsh 2012-07-19 10:44:06 EDT
Do you have a file system mounted on /var/ftp?  Or is /var/ftp the directory where the updates are being run from?
Comment 2 Ralf Corsepius 2012-07-19 11:30:36 EDT
(In reply to comment #1)
> Do you have a file system mounted on /var/ftp?
/var/ftp/pub is nfs-mounted, /var/ftp isn't

# df | grep /var/ftp/pub/
rockford:/var/ftp/pub/       480720896  397210624  59090944  88% /var/ftp/pub

> Or is /var/ftp the directory
> where the updates are being run from?
Hmm, I would not want to exclude this possiblity, but would consider this to be unlikely.
Comment 3 Ralf Corsepius 2012-07-19 11:36:40 EDT
Created attachment 599189 [details]
sealert -l 7537287f-cc2a-4e16-adab-6bd034c3738a > sealert.txt 2>&1

Sealert corresponding to this BZ. 

Please also note the warnings at the beginning of this sealert. I have no idea what is causing them. I have never seen them before nor do I understand what these are supposed to tell

Remark: This machine was DVD-upgraded from F16 to F17 last weekend.
Comment 4 Daniel Walsh 2012-07-19 11:38:40 EDT
I think for some reason dovecot is looking at all the mounted file systems on the machine and trying to getattr on their paths.  When it tries to get to /var/ftp/pub it needs to search through /var/ftp which is causing the AVC.

It can safely be ignored.

# grep dovecot /var/log/audit/audit.log | audit2allow -D -M mydovecot
# semodule -i mydovecot.pp
Comment 5 Fedora End Of Life 2013-07-03 20:59:11 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 01:03:03 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.